API Reference | Travel Assistance Services (v2)

Download OpenAPI specification:Download

Overview

Welcome to our API reference

This is the reference documentation for the Sirena REST API. This API is based on resources which are represented by JSON format and are manipulated using the HTTP protocol.

What can you do with API TAS

Authentication

bearerAuth

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Security Scheme Type API Key
Header parameter name: Authorization

Quotation

Quote

Service that allows you to make a quote applying the current business rules, which returns the unique quote code, for later use in the purchase process.

header Parameters
Authentication
required
string
Default: c3B2LTItUEFnOVRmWjg5UVZqWjVZSDhVWkZoc3RrRHBHbmNkSkNxUUI4R2NTc1NxbXVrYjM0R0RBQVVETDlDNDdGN0Y4bg==
Request Body schema:
ages
Array of integers <int32>
email
string
customerName
string
customerLastName
string
originVisaId
integer <int64>
destinyVisaId
integer <int64>
cityId
integer <int64>
arrivalDate
string <date-time>
departureDate
string <date-time>
phone
string
discountCode
string
source
string

Responses

Request samples

Content type
{
  • "ages": [
    ],
  • "email": "string",
  • "customerName": "string",
  • "customerLastName": "string",
  • "originVisaId": 0,
  • "destinyVisaId": 0,
  • "cityId": 0,
  • "arrivalDate": "2019-08-24T14:15:22Z",
  • "departureDate": "2019-08-24T14:15:22Z",
  • "phone": "string",
  • "discountCode": "string",
  • "source": "string"
}

Response samples

Content type
No sample

Perk Quote

Service in charge of calculating the value of the perks chosen by the client.

header Parameters
Authentication
required
string
Default: c3B2LTItUEFnOVRmWjg5UVZqWjVZSDhVWkZoc3RrRHBHbmNkSkNxUUI4R2NTc1NxbXVrYjM0R0RBQVVETDlDNDdGN0Y4bg==
Request Body schema:
quoteCode
string
perkIds
Array of integers <int64>

Responses

Request samples

Content type
{
  • "quoteCode": "string",
  • "perkIds": [
    ]
}

Response samples

Content type
No sample

Travel Insurance Request

Get the information from a travel insurance request.

query Parameters
HashCode
string
header Parameters
Authentication
required
string
Default: c3B2LTItUEFnOVRmWjg5UVZqWjVZSDhVWkZoc3RrRHBHbmNkSkNxUUI4R2NTc1NxbXVrYjM0R0RBQVVETDlDNDdGN0Y4bg==

Responses

Response samples

Content type
No sample